/** Data types **/
typedef signed char Cell;

/** Constants **/
#define CellUnknown 0
#define CellBlack 1
#define CellWhite -128

/** Variables **/
extern int hsize;
extern int vsize;
extern Cell **image;
extern Cell **hsum;
extern Cell **vsum;

/** Functions **/
/* Load pattern from file */
void Load(char *filename);

/* Show Image */
void Show();
