#include <stdio.h>
#include "Illust.h"

/* Show Image */
void Show()
{
  int x, y;

  fprintf(stderr, "\n");
  fprintf(stderr, "Image:\n");
  for (y = 0; y < vsize; y++) {
    fprintf(stderr, "%2d:", y + 1);
    for (x = 0; x < hsize; x++) {
      if (image[y][x] == CellUnknown)
	fprintf(stderr, "  .");
      else if (image[y][x] == CellWhite)
	fprintf(stderr, "   ");
      else
	fprintf(stderr, "  #");
    }
    fprintf(stderr, " : ");
    for (x = 0; hsum[y][x] != CellUnknown; x++) {
      if (hsum[y][x] > 0) 
	fprintf(stderr, "%2d ", abs(hsum[y][x]));
      else
	fprintf(stderr, "%2d*", abs(hsum[y][x]));
    }
    fprintf(stderr, "\n");
  }
  for (y = 0; y < (vsize + 1) / 2; y++) {
    fprintf(stderr, "   ");
    for (x = 0; x < hsize; x++) {
      if (vsum[x][y] != CellUnknown) {
	if (vsum[x][y] > 0)
	  fprintf(stderr, "%2d ", abs(vsum[x][y]));
	else
	  fprintf(stderr, "%2d*", abs(vsum[x][y]));
      }
      else
	fprintf(stderr, "   ");
    }
    fprintf(stderr, "\n");
  }
}
